## org.eclipse.datatools.enablement.sybase.ui.filter
Interface IFilterProvider

All Known Implementing Classes:
  AbstractFilterProvider, CatalogFilterProvider, EventFilterProvider, SchemaFilterProvider, SchemaObjectFilterProvider

    public interface IFilterProvider

Author:
  linsong

Method Summary
`org.eclipse.datatools.connectivity.sqm.internal.core.connection.ConnectionFilter` `getConnectionFilter(SQLObject sqlObj)` Returns the ConnectionFilter associated with the given catalog object.

Method Detail

### getConnectionFilter

    org.eclipse.datatools.connectivity.sqm.internal.core.connection.ConnectionFilter getConnectionFilter(SQLObject sqlObj)

  Returns the ConnectionFilter associated with the given catalog object. For example: If this object is to be used in conjunction with a table loader, this method should return the ConnectionFilter representing the table filtering criteria for the specified object (e.g. a particular schema object).

  Parameters:
    `sqlObj` - the sql object being display.
  Returns:
    the filter associated with the SQLObject.